### Method

# Gio Socket get_keepalive

since: 2.22

#### Declaration [src]

    gboolean
    g_socket_get_keepalive (
      GSocket* socket
    )

#### Description [src]

Gets the keepalive mode of the socket. For details on this, see g_socket_set_keepalive().

Available since: 2.22

Gets property | `Gio.Socket:keepalive`

#### Return value

Type: `gboolean`

`TRUE` if keepalive is active, `FALSE` otherwise.